%define upstream_name	 HTML-Mason
%define upstream_version 1.50

# useless stuff pulled by ./eg/MyApp/MasonWithSession.pm
%define _requires_exceptions perl(MasonX::Request::PlusApacheSession)
%define _provides_exceptions perl(My

Name:       mason
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Powerful Perl-based web site development and delivery engine
License:    GPL/Artistic
Group:      Networking/WWW
Url:        http://masonhq.com/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     HTML-Mason-1.32-netdisco.diff

BuildRequires: perl(CGI) >= 2.460.0
BuildRequires: perl(Cache::Cache) >= 1.0.0
BuildRequires: perl(Class::Container) >= 0.70.0
BuildRequires: perl(Exception::Class) >= 1.150.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(Log::Any) >= 0.80.0
BuildRequires: perl(Params::Validate) >= 0.700.0
BuildRequires: perl(Scalar::Util) >= 1.10.0
BuildRequires: perl(Test::Deep)
BuildRequires: apache-mod_perl
BuildRequires: perl-libapreq2
BuildRequires: perl-CGI >= 1:3.08
Requires:   apache-mod_perl
Requires:   perl-HTML-Parser
Requires:   perl-libapreq2
Provides:   perl-HTML-Mason = %{version}-%{release}
Obsoletes:  perl-HTML-Mason
BuildArch:  noarch

%description
Mason allows web pages and sites to be constructed from shared, reusable
building blocks called components. Components contain a mix of Perl and HTML,
and can call each other and pass values back and forth like subroutines.
Components increase modularity and eliminate repetitive work: common design
elements (headers, footers, menus, logos) can be extracted into their own
components where they need be changed only once to affect the whole site.

Other Mason features include a graphical site previewing utility, an HTML/data
caching model, and the ability to walk through requests with the Perl debugger.

%prep

%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p0

%build
export APACHE=%{_sbindir}/httpd
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std
rm -rf %{buildroot}%{_bindir}
install -d %{buildroot}/var/cache/%{name}
install -d %{buildroot}/var/www/%{name}

%files
%doc CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README UPGRADE eg samples
%{perl_vendorlib}/HTML
%attr(-,apache,apache) /var/cache/%{name}
/var/www/%{name}
%{_mandir}/man*/*

%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.500.0-2.mga3
+ Revision: 359418
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 1.500.0-1.mga3
+ Revision: 295364
- update to 1.50

* Thu Feb 23 2012 jquelin <jquelin> 1.480.0-1.mga2
+ Revision: 212901
- update to 1.48

* Thu Nov 03 2011 jquelin <jquelin> 1.470.0-1.mga2
+ Revision: 162225
- update to 1.47
- update to 1.46

* Mon Jan 24 2011 jquelin <jquelin> 1.450.0-3.mga1
+ Revision: 37338
- rebuild
- mageia rebuild
- imported package mason

